<?php defined('CORE_DIR') || exit('入口错误'); ?>
<?php
    class ctl_cron extends shopPage{

        function ctl_cron(){
            parent::shopPage();
        }

        function exec_queue(){
            $appmgr = $this->system->loadModel("system/appmgr");
            $queue = unserialize($this->system->getConf("system.crontab_queue"));
            if($queue[$_POST['key']]){
                list($objCtl,$act_method) = $appmgr->get_func($_POST['key']);
                if(method_exists($objCtl,$act_method)){
                    $objCtl->$act_method();
                }
            }
        }


    }










?>